创建加工单 / 拆分单
POST
/erp/sc/routing/inventoryReceipt/StorageProcess/addStorageProcessOrder接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/inventoryReceipt/StorageProcess/addStorageProcessOrder | HTTPS | POST | 1 |
请求参数
typeinteger必填widinteger必填remarkstringis_no_lockstringproduct_listarray<object>必填隐藏子属性
combo_skustring必填combo_sidinteger必填combo_fnskustringquantity_numinteger必填combo_whb_codestringprocess_feenumbersingle_product_listarray<object>必填隐藏子属性
skustring必填fnskustringsidinteger必填price_scalenumber必填whb_codestringremarkstring请求示例
{
"type": 1,
"wid": 1,
"remark": "备注",
"is_no_lock": "0",
"product_list": [
{
"combo_sku": "xxxxxx",
"combo_sid": 0,
"combo_fnsku": "xxx",
"quantity_num": 0,
"combo_whb_code": "1",
"process_fee": "1",
"remark": "",
"single_product_list": [
{
"sku": "xxx",
"fnsku": "",
"sid": 0,
"price_scale": "",
"whb_code": "1"
}
]
}
]
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
order_snstring必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "D4F7833C-53E7-207E-E4AB-E0BA96D0DA13",
"response_time": "2022-08-23 16:56:31",
"data": {
"order_sn": "PT230321003"
},
"total": 0
}